# Copyright 2010 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from django.template.loader import render_to_string
import django.forms as forms

class SelectWithAddNew(forms.Select):
    def render(self, name, *args, **kwargs):
        html = super(SelectWithAddNew, self).render(name, *args, **kwargs)
        html += render_to_string(
            "queuemanager/widgets/select_with_add_new.html", 
            {'field': name})
        return html

